<?xml version="1.0" encoding="UTF-8"?>
<MEMPL_FAMILY desc_thai="ทะเบียนข้อมูลครอบครัวของพนักงาน" desc_eng="Family Background" editcheck="true" mainhelp="MEMPL_FAMILYHELP" referhelp="MEMPL_FAMILYHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			 <KEY>2</KEY>
			 <WIDTH>5</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<LINE_NO lang="A" encrypt="false" log="false" type="String">
			<KEY>3</KEY>
			<WIDTH>3</WIDTH>
			<DESC_ENG>LINE_NO </DESC_ENG>
			<DESC_THAI>ลำดับที่</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ลำดับที่</ALT_THAI>
				<ALT_ENG>LINE_NO </ALT_ENG>
			</COMPONENT>
		</LINE_NO>
		<RELATIONID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MRELATION</RELATION>
			<DESC_ENG>Relation ID</DESC_ENG>
			<DESC_THAI>รหัสความสัมพันธ์</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสความสัมพันธ์</ALT_THAI>
				<ALT_ENG>Relation ID</ALT_ENG>
				<!--READONLY>TRUE</READONLY-->
			</COMPONENT>
		</RELATIONID>
		<FNAMEID lang="T" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<REFER_LANG>EFNAME</REFER_LANG>
			<DESC_ENG>Name (Thai)</DESC_ENG>
			<DESC_THAI>ชื่อ (ไทย)</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>ชื่อ (ไทย)</ALT_THAI>
				<ALT_ENG>Name (Thai)</ALT_ENG>
			</COMPONENT>
		</FNAMEID>
		<PREFIX lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>MPREFIX</RELATION>
			<DESC_ENG>Prefix</DESC_ENG>
			<DESC_THAI>คำนำหน้าชื่อ</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>10</SIZE>
				<TABLE>MPREFIXHELP,PREFIXID,TDESC,  ,PREFIXID</TABLE>
				<ALT_THAI>คำนำหน้าชื่อ</ALT_THAI>
				<ALT_ENG>Prefix</ALT_ENG>
			</COMPONENT>
		</PREFIX>
		<LNAME lang="T" encrypt="false" log="false" type="String">
			<WIDTH>40</WIDTH>
			<REFER_LANG>ELNAME</REFER_LANG>
			<DESC_ENG>Surname (Thai)</DESC_ENG>
			<DESC_THAI>นามสกุล (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>40</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Surname (Thai)</ALT_ENG>
				<ALT_THAI>นามสกุล (ไทย)</ALT_THAI>
			</COMPONENT>
		</LNAME>
		<EFNAME lang="E" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<REFER_LANG>FNAMEID</REFER_LANG>
			<DESC_ENG>Name (Eng)</DESC_ENG>
			<DESC_THAI>ชื่อ (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Name (Eng)</ALT_ENG>
				<ALT_THAI>ชื่อ (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EFNAME>
		<ELNAME lang="E" encrypt="false" log="false" type="String">
			<WIDTH>40</WIDTH>
			<REFER_LANG>LNAME</REFER_LANG>
			<DESC_ENG>Surname (Eng)</DESC_ENG>
			<DESC_THAI>นามสกุล (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>40</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Surname (Eng)</ALT_ENG>
				<ALT_THAI>นามสกุล (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</ELNAME>
		<IDCARD lang="A" encrypt="false" log="false" type="String">
			<WIDTH>13</WIDTH>
			<DESC_ENG>Personal card ID</DESC_ENG>
			<DESC_THAI>เลขที่บัตรประจำตัวประชาชน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>13</MAXSIZE>
				<SIZE>13</SIZE>
				<ONBLUR>chkPeoId(this);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ALT_ENG>Personal card ID</ALT_ENG>
				<ALT_THAI>เลขที่บัตรประจำตัวประชาชน</ALT_THAI>
			</COMPONENT>
		</IDCARD>
		<BIRTHDAY lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Birthday</DESC_ENG>
			<DESC_THAI>วันเกิด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ONBLUR>getAge();</ONBLUR>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<!--ONBLUR>chkCalDateFullDetail3(this,age);</ONBLUR-->
				<ALT_ENG>Birthday</ALT_ENG>
				<ALT_THAI>วันเกิด</ALT_THAI>
			</COMPONENT>
		</BIRTHDAY>
		<STAT_MARRY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Marital Status</DESC_ENG>
			<DESC_THAI>สถานภาพการสมรส</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<DEFAULTVALUE>S</DEFAULTVALUE>
				<VALIDCODE>Marital_Status</VALIDCODE>
				<POINTLABLE>L</POINTLABLE>
				<ALT_ENG>Marital Status</ALT_ENG>
				<ALT_THAI>สถานภาพการสมรส</ALT_THAI>
				<VALUE>M</VALUE>
			</COMPONENT>
		</STAT_MARRY>
		<YEAR_MARRY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>4</WIDTH>
			<DESC_ENG>Year of Marriage</DESC_ENG>
			<DESC_THAI>ปีที่สมรส</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Year of Marriage</ALT_ENG>
				<ALT_THAI>ปีที่สมรส</ALT_THAI>
				<ONKEYUP>formatYear(this);</ONKEYUP>
				<ONBLUR>chkMarryPer(__birthday,this);</ONBLUR>
				<ONKEYPRESS>chkYearRadio(__stat_marry);</ONKEYPRESS>
			</COMPONENT>
		</YEAR_MARRY>
		<STAT_OTHER lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Year Adjust</DESC_ENG>
			<DESC_THAI>ปีที่ปรับจริง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Year Adjust</ALT_ENG>
				<ALT_THAI>ปีที่ปรับจริง</ALT_THAI>
			</COMPONENT>
		</STAT_OTHER>
		<STAT_STUDY lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Study Status</DESC_ENG>
			<DESC_THAI>การศึกษา</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>10</SIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<VALIDCODE>STAT_STUDY</VALIDCODE>
				<POINTLABLE>L</POINTLABLE>
				<ALT_ENG>Study Status</ALT_ENG>
				<ALT_THAI>การศึกษา</ALT_THAI>
			</COMPONENT>
		</STAT_STUDY>
		<OCCUPATION lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MOCCUPATION</RELATION>
			<DESC_ENG>Occupation</DESC_ENG>
			<DESC_THAI>อาชีพ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>10</SIZE>
				<!--TABLE>MOCCUPATIONHELP,OCCID,TDESC,  ,OCCID</TABLE-->
				<ALT_THAI>อาชีพ</ALT_THAI>
				<ALT_ENG>Occupation</ALT_ENG>
			</COMPONENT>
		</OCCUPATION>
		<OTHER_OCCUPATION lang="A" encrypt="N" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Occupation (Specify)</DESC_ENG>
			<DESC_THAI>อาชีพ (ระบุ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>255</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_THAI>อาชีพ (อื่นๆ)</ALT_THAI>
				<ALT_ENG>Occupation (Other)</ALT_ENG>
				<CSS>other</CSS>
			</COMPONENT>
		</OTHER_OCCUPATION>
		<ISWELFARE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Welfare</DESC_ENG>
			<DESC_THAI>สวัสดิการ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Welfare</ALT_ENG>
				<ALT_THAI>สวัสดิการ</ALT_THAI>
			</COMPONENT>
		</ISWELFARE>
		<ISGUARANTOR lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Is guarantor?</DESC_ENG>
			<DESC_THAI>เป็นผู้ค้ำประกันหรือไม่</DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>1</SIZE>
				<VALIDCODE>ISGUARANTOR</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ALT_ENG>Is guarantor?</ALT_ENG>
				<ALT_THAI>เป็นผู้ค้ำประกันหรือไม่</ALT_THAI>
			</COMPONENT>
		</ISGUARANTOR>
		<ISCONTRACT lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Contract</DESC_ENG>
			<DESC_THAI>สัญญา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Contract</ALT_ENG>
				<ALT_THAI>สัญญา</ALT_THAI>
			</COMPONENT>
		</ISCONTRACT>
		<!--ISFIXINCOME lang="A" encrypt="false"  verify="false"  log="false" type="Integer">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Year Adjust  </DESC_ENG>
			<DESC_THAI>ปีที่ปรับจริง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Year Adjust  </ALT_ENG>
				<ALT_THAI>ปีที่ปรับจริง</ALT_THAI>
			</COMPONENT>
		</ISFIXINCOME-->
		<TADDR lang="T" encrypt="false" log="true" type="String">
			<WIDTH>20</WIDTH>
			<REFER_LANG>EADDR</REFER_LANG>
			<DESC_ENG>Address (Thai.)</DESC_ENG>
			<DESC_THAI>บ้านเลขที่ (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Address (Thai.)</ALT_ENG>
				<ALT_THAI>บ้านเลขที่ (ไทย)</ALT_THAI>
			</COMPONENT>
		</TADDR>
		<TVILLAGE lang="T" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>EVILLAGE</REFER_LANG>
			<DESC_ENG>Village (Thai.)</DESC_ENG>
				<DESC_THAI>ชื่ออาคาร/หมู่บ้าน (ไทย)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>50</MAXSIZE>
					<SIZE>50</SIZE>
					<ALT_ENG>Village (Thai.)</ALT_ENG>
					<ALT_THAI>ชื่ออาคาร/หมู่บ้าน (ไทย)</ALT_THAI>
				</COMPONENT>
			</TVILLAGE>
		<TROOM_NO lang="T" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>EROOM_NO</REFER_LANG>
			<DESC_ENG>Room_no(Thai.)</DESC_ENG>
			<DESC_THAI>ห้องเลขที่  (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Room_no (Thai.)</ALT_ENG>
				<ALT_THAI>ห้องเลขที่(ไทย)</ALT_THAI>
			</COMPONENT>
		</TROOM_NO>
		<TFLOOR lang="T" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>EFLOOR</REFER_LANG>
			<DESC_ENG>Floor (Thai.)</DESC_ENG>
			<DESC_THAI>ชั้น  (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Floor (Thai.)</ALT_ENG>
				<ALT_THAI>ชั้น (ไทย)</ALT_THAI>
			</COMPONENT>
		</TFLOOR>
		<TMOO lang="T" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>EMOO</REFER_LANG>
			<DESC_ENG>Moo (Thai.)</DESC_ENG>
			<DESC_THAI>หมู่ที่ (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Moo (Thai.)</ALT_ENG>
				<ALT_THAI>หมู่ที่ (ไทย)</ALT_THAI>
			</COMPONENT>
		</TMOO>
		<TSOI lang="T" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>ESOI</REFER_LANG>
			<DESC_ENG>Soi (Thai.)</DESC_ENG>
			<DESC_THAI>ซอย (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Soi (Thai.)</ALT_ENG>
				<ALT_THAI>ซอย (ไทย)</ALT_THAI>
			</COMPONENT>
		</TSOI>
		<TROAD lang="T" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>EROAD</REFER_LANG>
			<DESC_ENG>Road (Thai)</DESC_ENG>
			<DESC_THAI>ถนน (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Road (Thai)</ALT_ENG>
				<ALT_THAI>ถนน (ไทย)</ALT_THAI>
			</COMPONENT>
		</TROAD>
		<TSUBDISTRICT lang="T" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>ESUBDISTRICT</REFER_LANG>
			<DESC_ENG>District (Thai)</DESC_ENG>
			<DESC_THAI>ตำบล (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<READONLY>true</READONLY>
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>District (Thai)</ALT_ENG>
				<ALT_THAI>ตำบล (ไทย)</ALT_THAI>
			</COMPONENT>
		</TSUBDISTRICT>
		<EADDR lang="E" encrypt="false" log="true" type="String">
			<WIDTH>20</WIDTH>
			<REFER_LANG>EADDR</REFER_LANG>
			<DESC_ENG>Address (Eng.)</DESC_ENG>
			<DESC_THAI>บ้านเลขที่ (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Address (Eng.)</ALT_ENG>
				<ALT_THAI>บ้านเลขที่ (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EADDR>
		<EVILLAGE lang="T" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>TVILLAGE</REFER_LANG>
			<DESC_ENG>Village (Eng.)</DESC_ENG>
			<DESC_THAI>ชื่ออาคาร/หมู่บ้าน (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Village (Eng.)</ALT_ENG>
				<ALT_THAI>ชื่ออาคาร/หมู่บ้าน (อังกฤษ)</ALT_THAI>
				<ONKEYPRESS>chkEng();</ONKEYPRESS>
			</COMPONENT>
		</EVILLAGE>
		<EROOM_NO lang="E" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>TROOM_NO</REFER_LANG>
			<DESC_ENG>Room No.(Eng.)</DESC_ENG>
			<DESC_THAI>ห้องเลขที่  (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Room No. (Eng.)</ALT_ENG>
				<ALT_THAI>ห้องเลขที่(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EROOM_NO>
		<EFLOOR lang="E" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>TFLOOR</REFER_LANG>
			<DESC_ENG>Floor (Eng.)</DESC_ENG>
			<DESC_THAI>ชั้น  (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Floor (Eng.)</ALT_ENG>
				<ALT_THAI>ชั้น(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EFLOOR>
		<EMOO lang="E" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<REFER_LANG>TMOO</REFER_LANG>
			<DESC_ENG>Moo (Eng.)</DESC_ENG>
			<DESC_THAI>หมู่ที่ (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Moo (Eng.)</ALT_ENG>
				<ALT_THAI>หมู่ที่ (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EMOO>
		<ESOI lang="E" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>ESOI</REFER_LANG>
			<DESC_ENG>Soi (Eng.)</DESC_ENG>
			<DESC_THAI>ซอย (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Soi (Eng.)</ALT_ENG>
				<ALT_THAI>ซอย (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</ESOI>
		<EROAD lang="E" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>EROAD</REFER_LANG>
			<DESC_ENG>Road (Eng)</DESC_ENG>
			<DESC_THAI>ถนน (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Road (Eng)</ALT_ENG>
				<ALT_THAI>ถนน (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EROAD>
		<ESUBDISTRICT lang="E" encrypt="false" log="true" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>TSUBDISTRICT</REFER_LANG>
			<DESC_ENG>District (Eng)</DESC_ENG>
			<DESC_THAI>ตำบล (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>District (Eng)</ALT_ENG>
				<ALT_THAI>ตำบล (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</ESUBDISTRICT>
		<ZIPCODE lang="A" encrypt="false" log="false" type="String">
            <WIDTH>5</WIDTH>
            <RELATION>MZIPCODE</RELATION>
            <DESC_ENG>ZipCode</DESC_ENG>
            <DESC_THAI>รหัสไปรษณีย์</DESC_THAI>
            <COMPONENT type="text">
                <MAXSIZE>5</MAXSIZE>
                <SIZE>5</SIZE>
                <ALT_ENG>ZipCode</ALT_ENG>
                <ALT_THAI>รหัสไปรษณีย์</ALT_THAI>
            </COMPONENT>
            <APPNAME name="PERSONAL">
                <DESC_ENG>ZipCode</DESC_ENG>
                <DESC_THAI>รหัสไปรษณีย์</DESC_THAI>
                <COMPONENT type="text">
                  <READONLY>true</READONLY>
                    <MAXSIZE>5</MAXSIZE>
                    <SIZE>5</SIZE>
                    <ALT_ENG>ZipCode</ALT_ENG>
                    <ALT_THAI>รหัสไปรษณีย์</ALT_THAI>
                </COMPONENT>
            </APPNAME>
        </ZIPCODE>
		<DISTRICTID lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MDISTRICT</RELATION>
            <DESC_ENG>District ID</DESC_ENG>
            <DESC_THAI>รหัสอำเภอ</DESC_THAI>
            <COMPONENT type="text">
                <MAXSIZE>10</MAXSIZE>
                <SIZE>5</SIZE>
                <ALT_ENG>District ID</ALT_ENG>
                <ALT_THAI>รหัสอำเภอ</ALT_THAI>
            </COMPONENT>
			<APPNAME name="PERSONAL">
                <DESC_ENG>District ID</DESC_ENG>
				<DESC_THAI>รหัสอำเภอ</DESC_THAI>
                <COMPONENT type="text">
					<READONLY>true</READONLY>
                    <MAXSIZE>10</MAXSIZE>
                    <SIZE>5</SIZE>
                    <ALT_ENG>District ID</ALT_ENG>
					<ALT_THAI>รหัสอำเภอ</ALT_THAI>
                </COMPONENT>
            </APPNAME>
		</DISTRICTID>
		<TEL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Tel.</DESC_ENG>
			<DESC_THAI>โทรศัพท์</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Tel.</ALT_ENG>
				<ALT_THAI>โทรศัพท์</ALT_THAI>
			</COMPONENT>
		</TEL>
		<FAX lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Mobile.</DESC_ENG>
			<DESC_THAI>โทรศัพท์มือถือ</DESC_THAI>
			<COMPONENT type="mobile">
				<MAXSIZE>12</MAXSIZE>
				<SIZE>15</SIZE>
				<ONKEYPRESS>phoneIn();</ONKEYPRESS>
				<ALT_ENG>Mobile.</ALT_ENG>
				<ALT_THAI>โทรศัพท์มือถือ</ALT_THAI>
			</COMPONENT>
		</FAX>
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<VALIDCODE>People_Status</VALIDCODE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะ</ALT_THAI>
			</COMPONENT>
		</STATUS>
		<GUARANTYDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Guaranty Date</DESC_ENG>
			<DESC_THAI>วันที่ค้ำประกัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				 <ALT_ENG>Guaranty Date</ALT_ENG>
				 <ALT_THAI>วันที่ค้ำประกัน</ALT_THAI>
				 <ONKEYUP>formatDate(this);</ONKEYUP>
				 <ONBLUR>chkInputDate2(__birthday,this);</ONBLUR>
				 <ONKEYPRESS>chkInteger();</ONKEYPRESS>
			</COMPONENT>
		</GUARANTYDATE>
		<GUARANTYTITLE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Guaranty Title</DESC_ENG>
			<DESC_THAI>หัวข้อการค้ำประกัน</DESC_THAI>
			<COMPONENT type="text">
				 <MAXSIZE>255</MAXSIZE>
				 <SIZE>70</SIZE>
				 <ALT_ENG>Guaranty Title</ALT_ENG>
				 <ALT_THAI>หัวข้อการค้ำประกัน</ALT_THAI>
			</COMPONENT>
		</GUARANTYTITLE>
		<AMPHUR lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Amphur (Thai)</DESC_ENG>
			<DESC_THAI>อำเภอ (ไทย)</DESC_THAI>
			<RELATION>CSCZIPCODE</RELATION>
			<COMPONENT type="text">
				<READONLY>true</READONLY>
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Amphur (Thai)</ALT_ENG>
				<ALT_THAI>อำเภอ (ไทย)</ALT_THAI>
			</COMPONENT>
		</AMPHUR>
		<PICTURE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Reference File</DESC_ENG>
			<DESC_THAI>เอกสารอ้างอิง</DESC_THAI>
			<COMPONENT type="fileupload">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>30</SIZE>
				<READONLY>true</READONLY>
				<ALT_ENG>Reference File</ALT_ENG>
				<ALT_THAI>เอกสารอ้างอิง</ALT_THAI>
			</COMPONENT>
		</PICTURE>
		<AGE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Age</DESC_ENG>
			<DESC_THAI>อายุ</DESC_THAI>
		</AGE>
		<WORKPLACE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Workplace</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
		</WORKPLACE>
		<RELATIONS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Relations</DESC_ENG>
			<DESC_THAI>ความสัมพันธ์</DESC_THAI>
		</RELATIONS>
	</FIELD>
	<RELATION>
		<MCOMPLAIN insertlevel="0" deletelevel="0"  mode="-1">
			<PARENT>MEMPL_FAMILY.EMPLOYEEID</PARENT>
			<PARENT>MEMPL_FAMILY.LINE_NO</PARENT>
			<PARENT>MEMPL_FAMILY.COMPANYID</PARENT>
			<CHILD>MCOMPLAIN.EMPLOYEEID</CHILD>
			<CHILD>MCOMPLAIN.GAINERID</CHILD>
			<CHILD>MCOMPLAIN.COMPANYID</CHILD>
		</MCOMPLAIN>
		<SIMMCOMPLAIN insertlevel="0" deletelevel="0"  mode="-1">
			<PARENT>MEMPL_FAMILY.EMPLOYEEID</PARENT>
			<PARENT>MEMPL_FAMILY.LINE_NO</PARENT>
			<PARENT>MEMPL_FAMILY.COMPANYID</PARENT>
			<CHILD>SIMMCOMPLAIN.EMPLOYEEID</CHILD>
			<CHILD>SIMMCOMPLAIN.GAINERID</CHILD>
			<CHILD>SIMMCOMPLAIN.COMPANYID</CHILD>
		</SIMMCOMPLAIN>
		<HCOMPLAIN insertlevel="0" deletelevel="0">
			<PARENT>MEMPL_FAMILY.EMPLOYEEID</PARENT>
			<PARENT>MEMPL_FAMILY.LINE_NO</PARENT>
			<PARENT>MEMPL_FAMILY.COMPANYID</PARENT>
			<CHILD>HCOMPLAIN.EMPLOYEEID</CHILD>
			<CHILD>HCOMPLAIN.GAINERID</CHILD>
			<CHILD>HCOMPLAIN.COMPANYID</CHILD>
		</HCOMPLAIN>
		<MEMPL_FHEALTH>
			<PARENT>MEMPL_FAMILY.EMPLOYEEID</PARENT>
			<PARENT>MEMPL_FAMILY.LINE_NO</PARENT>
			<PARENT>MEMPL_FAMILY.COMPANYID</PARENT>
			<CHILD>MEMPL_FHEALTH.EMPLOYEEID</CHILD>
			<CHILD>MEMPL_FHEALTH.FAMILYID</CHILD>
			<CHILD>MEMPL_FHEALTH.COMPANYID</CHILD>
		</MEMPL_FHEALTH>
	</RELATION>
</MEMPL_FAMILY>
